Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static final class

# Games.GamesOptions.Builder

extends Object

java.lang.Object
↳ | com.google.android.gms.games.Games.GamesOptions.Builder

## Summary

Public Methods
Games.GamesOptions | build()
Games.GamesOptions.Builder | setSdkVariant(int variant)
Games.GamesOptions.Builder | setShowConnectingPopup(boolean showConnectingPopup) Sets whether a "connecting" popup should be displayed automatically at the start of the sign-in flow.
Games.GamesOptions.Builder | setShowConnectingPopup(boolean showConnectingPopup, int gravity) Sets whether a "connecting" popup should be displayed automatically at the start of the sign-in flow.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Methods

#### public Games.GamesOptions build ()

#### public Games.GamesOptions.Builder setSdkVariant (int variant)

#### public Games.GamesOptions.Builder setShowConnectingPopup (boolean showConnectingPopup)

Sets whether a "connecting" popup should be displayed automatically at the start of the sign-in flow. By default this is enabled.

Note that this call will use the default gravity for the "connecting" popup, which will display the popup at the center of the screen. If you prefer that the popup appear in a different section of the screen, you can use `setShowConnectingPopup(boolean, int)`, and provide a `Gravity` value.

##### Parameters

showConnectingPopup | Whether or not to show a "connecting" popup at the beginning of the sign-in flow. Default behavior is for this to be true.

##### Returns

- This Builder.

#### public Games.GamesOptions.Builder setShowConnectingPopup (boolean showConnectingPopup, int gravity)

Sets whether a "connecting" popup should be displayed automatically at the start of the sign-in flow. By default this is enabled.

##### Parameters

showConnectingPopup | Whether or not to show a "connecting" popup at the beginning of the sign-in flow. Default behavior is for this to be true.
gravity | The `Gravity` which controls where the "connecting" popup should be displayed during sign-in.

##### Returns

- This Builder.